import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Login Formular',
      home: LoginPage(),
    );
  }
}

class LoginPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Login'),
      ),
      body: Padding(
        padding: const EdgeInsets.all(16.0),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.stretch,
          children: <Widget>[
            // Eingabefeld für den Username
            TextField(
              decoration: InputDecoration(
                labelText: 'Username',
                border: OutlineInputBorder(),
              ),
            ),
            SizedBox(height: 16),

            // Eingabefeld für das Passwort
            TextField(
              obscureText: true,
              decoration: InputDecoration(
                labelText: 'Passwort',
                border: OutlineInputBorder(),
              ),
            ),
            SizedBox(height: 16),

            // Link zur Registrierseite
            GestureDetector(
              onTap: () {
                // Hier könnte die Logik zur Registrierseite hinzugefügt werden
              },
              child: Text(
                'Noch kein Konto? Registrieren',
                style: TextStyle(
                  color: Colors.blue,
                  decoration: TextDecoration.underline,
                ),
              ),
            ),
            SizedBox(height: 8),

            // Link zur Seite "Passwort vergessen"
            GestureDetector(
              onTap: () {
                // Hier könnte die Logik für "Passwort vergessen" hinzugefügt werden
              },
              child: Text(
                'Passwort vergessen?',
                style: TextStyle(
                  color: Colors.blue,
                  decoration: TextDecoration.underline,
                ),
              ),
            ),
            SizedBox(height: 16),

            // Login-Button
            ElevatedButton(
              onPressed: () {
                // Hier könnte die Login-Logik implementiert werden
              },
              child: Text('Login'),
            ),
          ],
        ),
      ),
    );
  }
}

