import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Embedded Navigation Example',
      theme: ThemeData(primarySwatch: Colors.blue),
      home: MainPage(),
    );
  }
}

class MainPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text('Hauptseite')),
      drawer: Drawer(
        child: ListView(
          children: [
            DrawerHeader(
              decoration: BoxDecoration(color: Colors.blue),
              child: Text(
                'Menü',
                style: TextStyle(color: Colors.white, fontSize: 24),
              ),
            ),
            ListTile(
              title: Text('Unterseite 1'),
              onTap: () {
                Navigator.push(
                  context,
                  MaterialPageRoute(builder: (context) => SubPage1()),
                );
              },
            ),
            ListTile(
              title: Text('Unterseite 2'),
              onTap: () {
                Navigator.push(
                  context,
                  MaterialPageRoute(builder: (context) => SubPage2()),
                );
              },
            ),
            ListTile(
              title: Text('Unterseite 3'),
              onTap: () {
                Navigator.push(
                  context,
                  MaterialPageRoute(builder: (context) => SubPage3()),
                );
              },
            ),
          ],
        ),
      ),
      body: Center(
        child: Text(
          'Willkommen auf der Hauptseite',
          style: TextStyle(fontSize: 20),
        ),
      ),
    );
  }
}

class SubPage1 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return DefaultTabController(
      length: 2,
      child: Scaffold(
        appBar: AppBar(
          title: Text('Unterseite 1'),
          bottom: TabBar(
            tabs: [
              Tab(icon: Icon(Icons.info), text: 'Info'),
              Tab(icon: Icon(Icons.settings), text: 'Einstellungen'),
            ],
          ),
        ),
        body: TabBarView(
          children: [
            Center(child: Text('Info-Inhalte')),
            Center(child: Text('Einstellungen-Inhalte')),
          ],
        ),
      ),
    );
  }
}

class SubPage2 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text('Unterseite 2')),
      body: Center(
        child: Text('Inhalte der Unterseite 2', style: TextStyle(fontSize: 18)),
      ),
    );
  }
}

class SubPage3 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text('Unterseite 3')),
      body: Center(
        child: Text('Inhalte der Unterseite 3', style: TextStyle(fontSize: 18)),
      ),
    );
  }
}
