import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

// Definition des InheritedWidgets zur Zustandsverwaltung
class AppState extends InheritedWidget {
  final int counter;
  final Widget child;

  AppState({required this.counter, required this.child}) : super(child: child);

  static AppState? of(BuildContext context) {
    return context.dependOnInheritedWidgetOfExactType<AppState>();
  }

  @override
  bool updateShouldNotify(AppState oldWidget) {
    return oldWidget.counter != counter;
  }
}

// Hauptanwendung, die den Zustand bereitstellt
class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  int _counter = 0;

  void _incrementCounter() {
    setState(() {
      _counter++;
    });
  }

  @override
  Widget build(BuildContext context) {
    return AppState(
      counter: _counter,
      child: MaterialApp(
        home: Scaffold(
          appBar: AppBar(title: Text("InheritedWidget Demo")),
          body: CounterScreen(),
          floatingActionButton: FloatingActionButton(
            onPressed: _incrementCounter,
            child: Icon(Icons.add),
          ),
        ),
      ),
    );
  }
}

// Ein Bildschirm, der den globalen Zustand nutzt
class CounterScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final appState = AppState.of(context);

    return Center(
      child: Text(
        'Zähler: ${appState?.counter ?? 0}',
        style: TextStyle(fontSize: 24),
      ),
    );
  }
}



